classification
Title: pkgutil documentation needs more markup
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: docs@python, eric.araujo, mft
Priority: normal Keywords: patch

Created on 2010-05-29 04:38 by mft, last changed 2010-12-15 22:39 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
pkgutil.diff mft, 2010-05-29 04:38 a possible patch
Messages (3)
msg106708 - (view) Author: MATSUI Tetsushi (mft) Date: 2010-05-29 04:38
The library reference of pkgutil is only sparsely marked up.

The attached patch is against 2.6 version, because I'm currently working with 2.6.  Since a part of markups (namely :pep:'s) has already been done for 3.2 version, the patch cannot be applied directly to that version, and I haven't checked the versions in between.
msg114510 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-21 16:48
Thanks for the report. Patch looks good to me. I assume the other function descriptions already have complete markup, since your patch touches only two of them.

If there are no remarks from docs@python or objections from Georg, I will apply this in a week, taking care of all three branches.
msg124082 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-15 22:39
Missing markup for one ``None`` added in r87289 and following revisions for maintenance branches.
History
Date User Action Args
2010-12-15 22:39:46eric.araujosetstatus: pending -> closed
nosy: mft, eric.araujo, docs@python
messages: + msg124082

resolution: accepted -> fixed
stage: patch review -> resolved
2010-08-21 16:49:11eric.araujosetstatus: open -> pending
title: pkgutil document needs more markups -> pkgutil documentation needs more markup
resolution: accepted
stage: patch review
2010-08-21 16:48:41eric.araujosetversions: + Python 3.1, Python 2.7, Python 3.2, - Python 2.6
nosy: + eric.araujo

messages: + msg114510

assignee: docs@python -> eric.araujo
2010-05-29 04:38:18mftcreate